2009年9月16日

[debian-users:52992] [Translate] [SECURITY] [DSA 1887-1] New rails packages fix cross-sitescripting

かねこです。
URL 等は Debian-security-announce メーリングリストの元記事を確認
ください。

------>8------------>8------------>8------------>8------------>8-
- ------------------------------------------------------------------------
Debian Security Advisory DSA-1887-1 security@xxxxx
http://www.debian.org/security/ Steffen Joeris

September 15, 2009 http://www.debian.org/security/faq
- ------------------------------------------------------------------------

Package : rails
Vulnerability : 入力のサニタイズ漏れ
Problem type : リモート
Debian-specific: いいえ
CVE Id : CVE-2009-3009
Debian Bug : 545063


Brian Mastenbrook さんにより、Ruby で書かれたウェブアプリケーション開発用
MVC フレームワーク rail に、form ヘルパ内の不正な形式の文字列でクロスサイ
トスクリプティング攻撃が可能な欠陥が発見されました。

安定版 (stable) ディストリビューション (lenny) では、この問題はバージョン
2.1.0-7 で修正されています。

旧安定版ディストリビューション (etch) 向けのセキュリティサポートは打ち切
られています。これは、旧安定版の rail が使用不能で、プログラム上の問題の
ため性キュウリティ問題の対象となる機能の幾つかが壊れているという報告がさ
れているためです。安定版 lenny 版へのアップグレートを強く推奨します。

旧安定版ディストリビューション (etch) のセキュリティサポートは打ち切られ
ています。

テスト版 (squeeze) および不安定版 (unstable) ディストリビューションでは、
この問題はバージョン 2.2.3-1 で修正されています。

直ぐに rails パッケージをアップグレードすることを勧めます。


アップグレード手順
------------------

wget url
でファイルを取得できます。
dpkg -i file.deb
で参照されたファイルをインストールできます。

apt-get パッケージマネージャを用いている場合には、本メールのフッタ記載の
行を sources.list に加えて、

apt-get update
を実行して内部データベースを更新し、
apt-get upgrade
によって修正されたパッケージをインストールしてください。

本メールのフッタ記載の設定を自ホストの設定に加えることにより、自動更新を
行うこともできます。


Debian GNU/Linux 5.0 alias lenny
- --------------------------------

Debian (stable)
- ---------------

安定版の更新は、alpha, amd64, arm, hppa, i386, ia64, mips, mipsel,
powerpc, s390 および sparc の各アーキテクチャで提供されています。
.
ソースアーカイブ:

http://security.debian.org/pool/updates/main/r/rails/rails_2.1.0-7.diff.gz
Size/MD5 checksum: 17520 866f4225a0496c3a2fbeae5da52b36a9
http://security.debian.org/pool/updates/main/r/rails/rails_2.1.0-7.dsc
Size/MD5 checksum: 1203 60d2bd20b3dae00c2675ed1d45ee99af
http://security.debian.org/pool/updates/main/r/rails/rails_2.1.0.orig.tar.gz
Size/MD5 checksum: 1953333 edcc03e7177e1557653fcb92c90db0d1

アーキテクチャに依存しないパッケージ:

http://security.debian.org/pool/updates/main/r/rails/rails_2.1.0-7_all.deb
Size/MD5 checksum: 2374598 0a1648b6ff0105c4969f54f8c8bed8af


これらのファイルは次の版の安定版リリース時そちらに移されます。


- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@xxxxx
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<;pkg>
------>8------------>8------------>8------------>8------------>8-
--
Seiji Kaneko skaneko@xxxxx
---------------------------------------------------------

投稿者 xml-rpc : 2009年9月16日 22:57
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/88665
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。